Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 594644 - file cannot recognize VIM scripts
Summary: file cannot recognize VIM scripts
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 08:41 UTC by Milos Malik
Modified: 2011-05-17 07:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-16 13:34:57 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Milos Malik 2010-05-21 08:41:18 UTC
Description of problem:


Version-Release number of selected component (if applicable):
file-5.04-4.el6.i686
vim-common-7.2.411-1.3.el6.i686

How reproducible:
always

Steps to Reproduce:
# rpm -ql vim-common | grep '\.vim$' | xargs file
/usr/share/vim/vim72/autoload/ada.vim:                           ASCII English text, with very long lines
/usr/share/vim/vim72/autoload/adacomplete.vim:                   ASCII English text
/usr/share/vim/vim72/autoload/ccomplete.vim:                     ASCII English text
/usr/share/vim/vim72/autoload/csscomplete.vim:                   ASCII C program text, with very long lines
/usr/share/vim/vim72/autoload/decada.vim:                        ASCII English text
/usr/share/vim/vim72/autoload/getscript.vim:                     ASCII English text
/usr/share/vim/vim72/autoload/gnat.vim:                          ASCII C++ program text
/usr/share/vim/vim72/autoload/gzip.vim:                          ASCII English text
/usr/share/vim/vim72/autoload/htmlcomplete.vim:                  HTML document text
/usr/share/vim/vim72/autoload/javascriptcomplete.vim:            ASCII English text, with very long lines
/usr/share/vim/vim72/autoload/netrw.vim:                         ASCII English text
...
  
Actual results:


Expected results:

Comment 1 RHEL Program Management 2010-05-21 09:10:59 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Ondrej Vasik 2011-05-16 13:19:21 UTC
Thanks for the report/idea/request, Milos. Syntax of vim script is too similar to other languages and there is no way how to determine vim scripts via magic. Utility file doesn't work based on the extension, so I'm going to dev_nack this feature for RHEL-6 ...

If you have some idea how to reliably determine vim scripts, feel free to reopen/leave comment/report against Fedora.

Comment 5 RHEL Program Management 2011-05-16 13:34:57 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.